{% extends 'dashboard/dashboard_content.html' %}

{% block rightPane %}
    {% if perms.curriculum.can_assign_holidays %}
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="fa fa-calendar-plus-o"></i>
                    Create Holiday
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="row">
                    <form action="" method="post" class="form-horizontal">{% csrf_token %}
                        {% for field in form %}
                            <div class="form-group {% if field.errors %} has-error{% endif %}">
                                <label class="col-sm-2 control-label"
                                       id={% if field.id_for_label == 'id_date' %}
                                           "id_id_date"
                                       {% else %}
                                           {{ field.id_for_label }}
                                       {% endif %}>{{ field.label }}</label>
                                <div class="col-sm-9">
                                    {{ field }}

                                    {% for error in field.errors %}
                                        <span class="help-block">
                                            {{ error|escape }}
                                        </span>
                                    {% endfor %}
                                </div>
                            </div>
                        {% endfor %}
                        <div class="col-sm-2 col-sm-offset-5">
                            <button type="submit" class="save btn btn-lg btn-success"
                                    value="Save">Add Holiday
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    {% endif %}
    <script type="text/javascript">
        $(function () {
            $("#id_date").datepicker({
                dateFormat: "yy-mm-dd",
            });
        });
    </script>
{% endblock %}